Unable to load ggraphExtra package

Hello!

After downloading this package, which I would use to make interactive plots of my linear regression models, and I get this error message:

"> library(ggiraphExtra)

Error: package or namespace load failed for ‘ggiraphExtra’ in dyn.load(file, DLLpath = DLLpath, ...):
unable to load shared object '/Library/Frameworks/R.framework/Versions/3.5/Resources/library/gdtools/libs/gdtools.so':
dlopen(/Library/Frameworks/R.framework/Versions/3.5/Resources/library/gdtools/libs/gdtools.so, 6): Library not loaded: /opt/X11/lib/libcairo.2.dylib
Referenced from: /Library/Frameworks/R.framework/Versions/3.5/Resources/library/gdtools/libs/gdtools.so
Reason: image not found"

Apparently R cannot find this package? Any suggestion??

Thanks!

From the error message it seems you'd need to (re-)install cairo and/or XQuartz. Make sure to close R/RStudio before you install the software, and you should be set.

1 Like

This topic was automatically closed 21 days after the last reply. New replies are no longer allowed.